Name:           bridge-method-injector
Version:        1.4
Release:        2%{?dist}
Summary:        Evolve Java classes without breaking compatibility

# License is specified in pom file
License:        MIT
URL:            https://github.com/infradna/bridge-method-injector
Source0:        https://github.com/infradna/%{name}/archive/%{name}-parent-%{version}.tar.gz
# License text copied from http://www.opensource.org/licenses/mit-license.php
# Upstream doesn't care about license texts in repository
Source1:        LICENSE.txt

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugins:maven-compiler-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.jenkins-ci:annotation-indexer)
BuildRequires:  objectweb-asm


%description
This package contains small Java library for generating
synthetic bridge methods with different return types
to help backward compatibility.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-%{name}-parent-%{version}

cp %{SOURCE1} LICENSE

# We don't have this extension
%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-svn']]"
%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-svn']]" injector

%pom_xpath_replace "pom:dependency[pom:artifactId[text()='annotation-indexer']]/pom:groupId" \
  "<groupId>org.jenkins-ci</groupId>" annotation

# We don't have asm-all with debug information
%pom_xpath_replace "pom:dependency[pom:artifactId[text()='asm-debug-all']]/pom:artifactId" \
  "<artifactId>asm-all</artifactId>" injector

%build
%mvn_build

%install
%mvn_install


%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE
%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 03 2013 Michal Srb <msrb@redhat.com> - 1.4-1
- Initial package

